package cn.gtmap.estateplat.config.service;

import cn.gtmap.estateplat.model.server.core.BdcQlr;
import cn.gtmap.estateplat.model.server.core.BdcXm;
import cn.gtmap.estateplat.model.server.core.BdcZs;

/**
 * @author <a href="mailto:yulei1@gtmap.cn">yulei</a>
 * @version 1.0, 2017/11/22
 * @description 生成证书
 */
public interface ManageCertificateService {

    /**
     * @param bdcZs
     * @author <a href="mailto:yulei1@gtmap.cn">yulei</a>
     * @description
     */
    void generateSingleCertificateRel(BdcZs bdcZs, String proid);

    void generateSingleCertificateRel(BdcZs bdcZs, BdcQlr bdcQlr);

    void deleteBdcZsQlrRelByZsid(String zsid);

    void deleteBdcXmzsRelByProid(String proid);

    /**
     * @param bdcXm
     * @param bdcZs
     * @author <a href="mailto:yulei1@gtmap.cn">yulei</a>
     * @description
     */
    void generateMultiCertificateRel(BdcXm bdcXm, BdcZs bdcZs);

    void deleteBdcZs(BdcZs... bdcZs);

}
